Description

Doing this would allow limiting values that can be chosen for custom fields to only users who are in a specific department or who

have a specific defined responsibility. The goal here would be to define a role such as Testers and a corresponding field called

Designated Tester that would only allow selecting those with the Testers role.

It sound simple but there are likely going to be questions about whether or how to handle cases where users change roles after they

have been assigned to such a custom field. In my particular case I'm not concerned with these cases too much since we don't

anticipate frequent changes in roles and if the role limitation were only to affect the ability to assign new values to the field it would be

a big improvement over the current behavior in which all users are shown to pick from.

Related issues:

Has duplicate Redmine - Feature #17736: Custom field users/groups Closed

History

#1 - 2016-03-09 15:54 - Wim DePreter

- File 2016-03-09_15h49_44.png added

I don't know how long this already exists, but in redmine 3.2, you can select the roles that are listed for a custom issue field (type user):

 2016-03-09_15h49_44.png 

#2 - 2016-04-08 05:36 - Toshi MARUYAMA

- Has duplicate Feature #17736: Custom field users/groups added

#3 - 2016-04-08 05:59 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It seems note-1 was included as a part of #5037.
